# -*- coding: utf-8 -*-
#
# Copyright 2018 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# -*- coding: utf-8 -*-

from abc import ABCMeta, abstractmethod
import six

@six.add_metaclass(ABCMeta)
class Segmenter(object):

  supported_languages = set()

  def __init__():
    pass

  @abstractmethod
  def segment(source):
    raise NotImplementedError()

  def is_supported_language(self, language):
    return language in self.supported_languages

class NotSupportedLanguageError(Exception):
  pass

